[Pkg-ime-devel] Bug#662775: ibus-qt: FTBFS against multiarch Qt 4.8

Felix Geyer debfx-pkg at fobos.de
Tue Mar 6 10:22:10 UTC 2012

Source: ibus-qt
Version: 1.3.1-2
Tags: patch
User: debian-qt-kde at lists.debian.org
Usertags: qt48-transition


Your package fails to build against the multiarch enabled Qt 4.8
which is currently in experimental.
The transition to unstable/testing is tracked in bug #653903.

I'm attaching a patch that adjusts the install path of Qt plugins which now
are in a multiarch path and bumps the minimum libqt4-dev version.
It should be applied once Qt 4.8 enters unstable.

Build log:

>    dh_install
> dh_install: ibus-qt4 missing files (debian/tmp/usr/lib/qt4/*), aborting
> make: *** [binary] Error 2


-------------- next part --------------
A non-text attachment was scrubbed...
Name: ibus-qt_multiarch_qt48.diff
Type: text/x-patch
Size: 1082 bytes
Desc: not available
URL: <http://lists.alioth.debian.org/pipermail/pkg-ime-devel/attachments/20120306/b82bb314/attachment.bin>

More information about the Pkg-ime-devel mailing list